#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x90,0x7D,0x38,0x17,0x62,0x23,0xA2,0xD4,0x33,0x6B,0x9F,0xAD,
		0xD6,0x1D,0xF3,0xC8,0x01,0x0A,0xF3,0xC1,0xF4,0x10,0x58,0x1A,
		0x68,0x40,0xFC,0x01,0xC9,0xE2,0x84,0x53,0xBE,0xF9,0xDB,0x21,
		0x35,0xE2,0x6A,0xC4,0x70,0x39,0x55,0x12,0x1C,0x9D,0x30,0x00,
		0xF2,0x69,0x45,0x03,0xC3,0x00,0xCA,0x7E,0xA8,0x16,0x9E,0x1D,
		0x51,0xCA,0x53,0x83,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
